apply plugin: 'com.android.application'

android {
    compileSdkVersion 28
    buildToolsVersion '28.0.2'
    defaultConfig {
        applicationId "org.xing.android"
        minSdkVersion 15
        targetSdkVersion 26
        versionCode 20
        versionName "1.4.2"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        vectorDrawables.useSupportLibrary = true
    }
    buildTypes {
        debug {
            manifestPlaceholders = [bd_speech_appid : "9080060",
                                    bd_speech_key   : "TgEpVmjjELkIf3FKc1gj2jsj",
                                    bd_speech_secret: "87c4d13cf12a83191e4b4ec23d98530e",
                                    umeng_appkey    : "none",
                                    umeng_channel   : "none"]
        }
        release {
            minifyEnabled false
            manifestPlaceholders = [bd_speech_appid : "9080060",
                                    bd_speech_key   : "TgEpVmjjELkIf3FKc1gj2jsj",
                                    bd_speech_secret: "87c4d13cf12a83191e4b4ec23d98530e",
                                    umeng_appkey    : "586213d5ae1bf81811000768",
                                    umeng_channel   : "xing"]
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
            // 自定义输出配置
            applicationVariants.all { variant ->
                variant.outputs.all {
                    outputFileName = rootProject.getName() +"-"+defaultConfig.versionName +"-"+defaultConfig.versionCode +".apk"
                }
            }
        }
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile files('libs/antlr-runtime-4.6.jar')
    compile files('libs/utdid4all-1.0.4.jar')
    compile files('libs/umeng-analytics-v6.0.7.jar')
    compile files('libs/Msc.jar')
    compile 'com.zhy:okhttputils:2.4.1'
    compile 'com.tencent.mm.opensdk:wechat-sdk-android-without-mta:1.0.2'
    compile 'com.android.support:appcompat-v7:28.+'
    compile 'com.android.support:support-v4:28.+'
    compile 'com.android.support:support-vector-drawable:28.+'
    testCompile 'junit:junit:4.12'
    compile files('libs/open_sdk_r5785_lite.jar')
    compile files('libs/bdasr_V3_20180320_9066860.jar')
}
